//+------------------------------------------------------------------+
//|                                                Test_CIniFile.mq5 |
//+------------------------------------------------------------------+
#property version   "1.00"

#include <IniFile.mqh>
//+------------------------------------------------------------------+
//| Script program start function                                    |
//+------------------------------------------------------------------+
void OnStart()
  {
//---   
   CIniFile MyIniFile;
//---   ini-
//--- !!!      \\  
   MyIniFile.Init("D:\\test_file.ini");      

//---      
   CArrayString Strings;

//---  
   bool     resb;
   resb=MyIniFile.WriteString("TestSection","TestStringKey","StringValue");
   if(resb)
     {Print("Ok write string");}
   else
     {Print("Error on write string");}

//---   
   resb=MyIniFile.WriteInteger("TestSection","TestIntegerKey",888);
   if(resb)
     {Print("Ok write integer");}
   else
     {Print("Error on write integer");}

   string   str;
//---  
   str=MyIniFile.ReadString("TestSection","TestStringKey","Default Value");
   Print(str);
//---  ,  Default Value
   str=MyIniFile.ReadString("TestSection","Something","Default Value");
   Print(str);

//--- ,   ,   KeyNames
   if(MyIniFile.SectionExists("TestSection"))
     {
      MyIniFile.ReadSection("TestSection",Strings);
      for(int i=0; i<Strings.Total(); i++)
        {Print(Strings.At(i));}
     }
  }
//+------------------------------------------------------------------+
